• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

Problem with Flashtool 0.7.0.0 update

Search This thread

zeeshansohail

Senior Member
Nov 11, 2007
125
2
I downloaded the update.zip file and replaced the contents of my installation with the contents of the zip. Getting this error now when I start Flashtool.


java.lang.NoClassDefFoundError: joptsimple/OptionParser
at gui.FlasherGUI.main(FlasherGUI.java:154)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
at com.exe4j.runtime.WinLauncher.main(Unknown Source)
Caused by: java.lang.ClassNotFoundException: joptsimple.OptionParser
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
... 7 more

Any ideas?
 
  • Like
Reactions: hololodilolo

xperseus

Senior Member
Aug 31, 2010
149
28
Phnom Penh
Xiaomi Mi 5
Xiaomi Mi A1
0.7.0.0 can ONLY be updated over version 0.6.9.0 and 0.6.9.1 only. Which version did you have before applying version 0.7.0.0? Mine working fine. I update my flashtool to version 0.6.9.1 then apply 0.7.0.0.
 

zeeshansohail

Senior Member
Nov 11, 2007
125
2
Reinstalling 0.6.9.1 and pasting over the update worked. Let's get ICS up and running now :) Thanks, guys.
 

matus201

Senior Member
Oct 16, 2010
225
34
This is a bit OT, but I don't think it is worth starting a new thread..

What exactly is new in this 0.7 version? I have updated to ICS using the "3 step method" with 0.6.9.1. Does this mean that some things were not partitioned / flashed properly? Should I re-flash using this 0.7 version?
 

gen_scheisskopf

Senior Member
Feb 22, 2009
1,128
248
Poznań
This is a bit OT, but I don't think it is worth starting a new thread..

What exactly is new in this 0.7 version? I have updated to ICS using the "3 step method" with 0.6.9.1. Does this mean that some things were not partitioned / flashed properly? Should I re-flash using this 0.7 version?
Everything is flashed properly )otherwise system wouldn't boot).
Flashtool update deals with new commands introduced by ICS update- they were causing error messages
 

tiborprogmed

Senior Member
Nov 6, 2009
445
76
Baja
after the installation of the the new 0.7 -version update on a linux based pc ( working fine with 0.6.9.1) it quit after launch the x10flasher.jar
 

simonsy

Member
Dec 7, 2008
49
6
Sorry guys but i have made everithing well, but when i flash the tft i get that error the phone swith on and i get the triangle error...EHAT I HAVE TO DO?? PLEASE

EDIT i discovered alone how to fix the problem...the thing that nobody has told is that with version 0.7 of flashtool you must flash THE ENTIRE TFT file!!
 
Last edited:

iridaki

Retired Forum Moderator
Feb 21, 2007
4,534
5,210
35
Edinburgh, Scotland
This should be in general section.

***Do Not Post Your Question Here, It Will Be Locked/Deleted*** Please Read!!!


There seems to be a very large amount of [Q] threads posted here in the general section.

There is a specific Q&A section here! PLEASE USE IT!!

The general section is NOT for asking questions!
This not only helps to keep the forums tidy and easier to navigate, it ensures that users with a problem can get the help they require quickly and easily.

A cluttered forum isn't much use to anyone.

As of now [25/7/11] misplaced threads are subject to being locked/deleted without notice. DO NOT PM me to complain because you probably will not receive a response.
If you are unable to figure out that [Q]'s belong in the Q&A section then there is very little chance you will manage to hack your device without running into trouble....
 

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    I downloaded the update.zip file and replaced the contents of my installation with the contents of the zip. Getting this error now when I start Flashtool.


    java.lang.NoClassDefFoundError: joptsimple/OptionParser
    at gui.FlasherGUI.main(FlasherGUI.java:154)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)
    at com.exe4j.runtime.WinLauncher.main(Unknown Source)
    Caused by: java.lang.ClassNotFoundException: joptsimple.OptionParser
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 7 more

    Any ideas?